Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::DynArray Class Reference

`#include <DynamicAnyC.h>`

Inheritance diagram for DynamicAny::DynArray:

[legend]
Collaboration diagram for DynamicAny::DynArray:

[legend]
List of all members.

## Public Types
typedef DynArray_ptr | _ptr_type
typedef DynArray_var | _var_type
## Public Methods
virtual::DynamicAny::AnySeq * | get_elements (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | set_elements (const DynamicAny::AnySeq &value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual::DynamicAny::DynAnySeq * | get_elements_as_dyn_any (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | set_elements_as_dyn_any (const DynamicAny::DynAnySeq &value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
DynArray_ptr | _duplicate (DynArray_ptr obj)
DynArray_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
DynArray_ptr | _nil (void)
## Protected Methods
| DynArray (void)
virtual | ~DynArray (void)
## Private Methods
| DynArray (const DynArray &)
void | operator= (const DynArray &)

## Member Typedef Documentation

typedef DynArray_ptr DynamicAny::DynArray::_ptr_type

| Reimplemented from DynamicAny::DynAny.

typedef DynArray_var DynamicAny::DynArray::_var_type

| Reimplemented from DynamicAny::DynAny.

## Constructor & Destructor Documentation

DynamicAny::DynArray::DynArray | ( | void |  | ) | `[protected]`

DynamicAny::DynArray::~DynArray | ( | void |  | ) | `[protected, virtual]`

DynamicAny::DynArray::DynArray | ( | const DynArray & |  | ) | `[private]`

## Member Function Documentation

DynamicAny::DynArray_ptr DynamicAny::DynArray::_duplicate | ( | DynArray_ptr | obj | ) | `[static]`

const char * DynamicAny::DynArray::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from DynamicAny::DynAny.

virtual CORBA::Boolean DynamicAny::DynArray::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from DynamicAny::DynAny.

DynArray_ptr DynamicAny::DynArray::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from DynamicAny::DynAny. Reimplemented in TAO_DynArray_i.

DynArray_ptr DynamicAny::DynArray::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from DynamicAny::DynAny.

virtual ::DynamicAny::AnySeq* DynamicAny::DynArray::get_elements | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_DynArray_i.

virtual ::DynamicAny::DynAnySeq* DynamicAny::DynArray::get_elements_as_dyn_any | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_DynArray_i.

CORBA::Boolean DynamicAny::DynArray::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from DynamicAny::DynAny.

void DynamicAny::DynArray::operator= | ( | const DynArray & |  | ) | `[private]`

virtual void DynamicAny::DynArray::set_elements | ( | const DynamicAny::AnySeq &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynArray_i.

virtual void DynamicAny::DynArray::set_elements_as_dyn_any | ( | const DynamicAny::DynAnySeq &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynArray_i.

The documentation for this class was generated from the following files:

- DynamicAnyC.h
- DynamicAnyC.cpp